# OfxTransactionContainer Class Reference

Inheritance diagram for OfxTransactionContainer:

## Detailed Description

Represents a generic transaction.

Definition at line 193 of file ofx_containers.hh.

## Public Member Functions

| OfxTransactionContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)
| ~OfxTransactionContainer ()
virtual void | add_attribute (const string identifier, const string value)
| Add data to a container object.
void | add_account (OfxAccountData *account_data)
virtual int | gen_event ()
| Generate libofx.h events.
virtual int | add_to_main_tree ()
| Add this container to the main tree.
| OfxTransactionContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)
virtual void | add_attribute (const string identifier, const string value)
| Add data to a container object.
void | add_account (OfxAccountData *account_data)
virtual int | gen_event ()
| Generate libofx.h events.
virtual int | add_to_main_tree ()
| Add this container to the main tree.

## Data Fields

OfxTransactionData | data

## Member Function Documentation

virtual void OfxTransactionContainer::add_attribute | ( | const string | identifier,
|  | const string | value |
| ) |  |  | `[virtual]`

Add data to a container object.

Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it.

Parameters:

  | identifier | The name of the data element
  | value | The concatenated string of the data

Reimplemented from OfxGenericContainer.

Reimplemented in OfxBankTransactionContainer, OfxInvestmentTransactionContainer, OfxBankTransactionContainer, and OfxInvestmentTransactionContainer.

void OfxTransactionContainer::add_attribute | ( | const string | identifier,
|  | const string | value |
| ) |  |  | `[virtual]`

Add data to a container object.

Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it.

Parameters:

  | identifier | The name of the data element
  | value | The concatenated string of the data

Reimplemented from OfxGenericContainer.

Reimplemented in OfxBankTransactionContainer, OfxInvestmentTransactionContainer, OfxBankTransactionContainer, and OfxInvestmentTransactionContainer.

Definition at line 93 of file ofx_container_transaction.cpp.

Referenced by OfxInvestmentTransactionContainer::add_attribute(), and OfxBankTransactionContainer::add_attribute().

virtual int OfxTransactionContainer::add_to_main_tree | ( |  | ) | `[virtual]`

Add this container to the main tree.

add_to_main_treegen_event will add the container to the main trees stored int the OfxMainContainer.

Returns:
  true if successfull, false otherwise.

Reimplemented from OfxGenericContainer.

int OfxTransactionContainer::add_to_main_tree | ( |  | ) | `[virtual]`

Add this container to the main tree.

add_to_main_treegen_event will add the container to the main trees stored int the OfxMainContainer.

Returns:
  true if successfull, false otherwise.

Reimplemented from OfxGenericContainer.

Definition at line 79 of file ofx_container_transaction.cpp.

virtual int OfxTransactionContainer::gen_event | ( |  | ) | `[virtual]`

Generate libofx.h events.

gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available.

Returns:
  true if a callback function vas called, false otherwise.

Reimplemented from OfxGenericContainer.

int OfxTransactionContainer::gen_event | ( |  | ) | `[virtual]`

Generate libofx.h events.

gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available.

Returns:
  true if a callback function vas called, false otherwise.

Reimplemented from OfxGenericContainer.

Definition at line 65 of file ofx_container_transaction.cpp.

The documentation for this class was generated from the following files:

- ofx_containers.hh
- fx-0.8.2/lib/ofx_containers.hh
- ofx_container_transaction.cpp
- fx-0.8.2/lib/ofx_container_transaction.cpp